[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

guile stable-2.0 fails on OSX 10.6.7

From: Leo
Subject: guile stable-2.0 fails on OSX 10.6.7
Date: Sat, 02 Apr 2011 23:02:25 +0800
User-agent: Gnus/5.13 (Gnus v5.13) Emacs/23.3.50 (Mac OS X 10.6.7)

I can not build the stable-2.0 branch of today on OSX 10.6.7.

I have all the required libraries installed and was able to build my
current guile: GNU Guile

/usr/local/unix/libunistring/include/unistring/stdint.h:3:5: warning: 
"__GLIBC__" is not defined
  CC     libguile_2.0_la-trees.lo
  CC     libguile_2.0_la-uniform.lo
  CC     libguile_2.0_la-values.lo
  CC     libguile_2.0_la-variable.lo
  CC     libguile_2.0_la-vectors.lo
  CC     libguile_2.0_la-version.lo
  CC     libguile_2.0_la-vm.lo
  CC     libguile_2.0_la-vports.lo
  CC     libguile_2.0_la-weaks.lo
  CCLD   libguile-2.0.la
Undefined symbols:
  "_GC_pthread_sigmask", referenced from:
      _signal_delivery_thread in libguile_2.0_la-scmsigs.o
ld: symbol(s) not found
collect2: ld returned 1 exit status
make[3]: *** [libguile-2.0.la] Error 1
make[2]: *** [all] Error 2
make[1]: *** [all-recursive] Error 1
make: *** [all] Error 2

This irc log might be of use too:


reply via email to

[Prev in Thread] Current Thread [Next in Thread]